Bug 1288578 - [GSS](6.4.z) HornetQ Client trying to use wrong keystore
[GSS](6.4.z) HornetQ Client trying to use wrong keystore
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Dmitrii Tikhomirov
Miroslav Novak
:
Depends On:
Blocks: 1235746 1274290
  Show dependency treegraph
 
Reported: 2015-12-04 11:10 EST by Brad Maxwell
Modified: 2017-01-17 06:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:43:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1237 Major Resolved Add a HornetQ-specific system property for setting the keystore and truststore path on the client 2017-05-03 10:12 EDT
Red Hat Knowledge Base (Solution) 2135081 None None None 2016-01-21 18:06 EST

  None (edit)
Description Brad Maxwell 2015-12-04 11:10:32 EST
When the hornetq client attempts to connect to the other node, the exception below is thrown because it cannot find the keystore. The keystore it is attempting to find is on the REMOTE node not the CLIENT.

2013-11-22 13:35:18,317 WARN  [org.hornetq.core.client] (Thread-25 (HornetQ-server-HornetQServerImpl::serverUUID=14231cd2-14c3-11e3-b9b2-31821406a8a3-764772189)) HQ212007: connector.create or connectorFactory.createConnector should never throw an exception, implementation is badly behaved, but we will deal with it anyway.: java.lang.IllegalStateException: Unable to create NettyConnector for 127.0.0.1:25013
        at org.hornetq.core.remoting.impl.netty.NettyConnector.start(NettyConnector.java:450) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.client.impl.ClientSessionFactoryImpl.getConnection(ClientSessionFactoryImpl.java:1216) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.client.impl.ClientSessionFactoryImpl.getConnectionWithRetry(ClientSessionFactoryImpl.java:1069) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.client.impl.ClientSessionFactoryImpl.connect(ClientSessionFactoryImpl.java:246) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.client.impl.ServerLocatorImpl.createSessionFactory(ServerLocatorImpl.java:705) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.client.impl.ServerLocatorImpl.createSessionFactory(ServerLocatorImpl.java:661) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.server.cluster.impl.ClusterConnectionBridge.createSessionFactory(ClusterConnectionBridge.java:149) [hornetq-server-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.server.cluster.impl.BridgeImpl.connect(BridgeImpl.java:883) [hornetq-server-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.server.cluster.impl.BridgeImpl$ConnectRunnable.run(BridgeImpl.java:1103) [hornetq-server-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.utils.OrderedExecutorFactory$OrderedExecutor$1.run(OrderedExecutorFactory.java:106) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_45]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_45]
        at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_45]
Caused by: java.lang.Exception: Failed to find a store at /jboss/security/keystores/keystore/server-keystore.jks
        at org.hornetq.core.remoting.impl.ssl.SSLSupport.validateStoreURL(SSLSupport.java:157) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.remoting.impl.ssl.SSLSupport.loadKeystore(SSLSupport.java:95) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.remoting.impl.ssl.SSLSupport.loadKeyManagers(SSLSupport.java:124) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.remoting.impl.ssl.SSLSupport.createContext(SSLSupport.java:57) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        at org.hornetq.core.remoting.impl.netty.NettyConnector.start(NettyConnector.java:445) [hornetq-core-client-2.3.5.Final-redhat-2.jar:2.3.5.Final-redhat-2]
        ... 12 more
Comment 4 Ondřej Kalman 2016-01-13 08:07:15 EST
Verified with 6.4.6.CP.CR2
Comment 5 Petr Penicka 2017-01-17 06:43:23 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.